%define module beautifulsoup4

Name: python-%module
Version: 4.4.1
Release: %mkrel 3
Summary: The Screen-Scraper's Friend

Group: Development/Python
License: Python
URL:      http://www.crummy.com/software/BeautifulSoup/bs4/
Source0: http://www.crummy.com/software/BeautifulSoup/bs4/download/4.4/%{module}-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

BuildArch: noarch

%description
Beautiful Soup sits atop an HTML or XML parser, providing Pythonic
idioms for iterating, searching, and modifying the parse tree.

%package -n     python3-%{module}
Summary:        HTML/XML parser for quick-turnaround applications like screen-scraping
Group:          Development/Python

%description -n python3-%{module}
Beautiful Soup sits atop an HTML or XML parser, providing Pythonic
idioms for iterating, searching, and modifying the parse tree.
This is the Python 3 build of Beautiful Soup.

%prep
%autosetup -n %module-%version
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
2to3 --write --nobackups .
%py3_build
popd

%install
%py2_install
pushd %{py3dir}
%py3_install
popd

%files
%{python_sitelib}/beautifulsoup4-%{version}*.egg-info
%{python_sitelib}/bs4

%files -n python3-%{module}
%{python3_sitelib}/beautifulsoup4-%{version}*.egg-info
%{python3_sitelib}/bs4



%changelog
* Wed Nov 18 2015 ngompa <ngompa> 4.4.1-3.mga6
+ Revision: 904016
- Fix 2to3 invocation to not break py2 bs4 module

* Fri Oct 09 2015 shlomif <shlomif> 4.4.1-2.mga6
+ Revision: 888390
- Rebuild for new python3 (3.5.x)

* Tue Sep 29 2015 joequant <joequant> 4.4.1-1.mga6
+ Revision: 884954
- upgrade to 4.4.1

* Wed Jul 29 2015 joequant <joequant> 4.4.0-1.mga6
+ Revision: 858893
- update to 4.4.0

* Wed Oct 15 2014 umeabot <umeabot> 4.3.1-8.mga5
+ Revision: 739427
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.3.1-7.mga5
+ Revision: 728106
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.3.1-6.mga5
+ Revision: 687903
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 4.3.1-5.mga5
+ Revision: 629726
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 4.3.1-4.mga5
+ Revision: 628470
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 4.3.1-3.mga4
+ Revision: 543024
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 4.3.1-2.mga4
+ Revision: 498182
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 4.3.1-1.mga4
+ Revision: 497468
- update to 4.3.1, add Python 3

* Mon Jan 28 2013 neoclust <neoclust> 4.1.3-1.mga3
+ Revision: 392858
- imported package python-beautifulsoup4

